export declare class HttpClient {
    optionsDefault: {
        cache: string;
        credentials: string;
        headers: {};
        mode: string;
        method: string;
    };
    private _interceptors;
    constructor();
    get(url: string, options?: any): Promise<any>;
    put(url: string, object: any, options: any): void;
    post(url: string, object: any, options: any): void;
    delete(url: string, object: any, options: any): void;
    preflightGet(url: string, options?: any): {
        url: string;
        options: any;
    };
    queryParams(params: any): string;
    applyInterceptors(options: any): any;
    flushInterceptors(): void;
    registerInterceptor(obj: any): void;
    unregisterInterceptor(obj: any): void;
    readonly interceptors: any[];
}
